/**************************************************************************
 *                                                                        *
 *               Copyright (C) 1997, Dynamix, Inc.                        *
 *                                                                        *
 *  These coded instructions, statements, and computer programs  contain  *
 *  unpublished  proprietary  information of Dynamix, Inc.,  and are      *
 *  protected by Federal copyright  law.  They  may not be disclosed to   *
 *  third parties  or copied or duplicated in any form, in whole or       *
 *  in part, without the prior written consent of Dynamix, Inc.           *
 *                                                                        *
 *************************************************************************/

#define NUM_SCROLLER_ITEMS      39      /* maximum number of sprites */
#define NUM_SCROLLER_BM         1       /* bitmaps per sprite */
#define FONT_SCALE_X            0.625
#define FONT_SCALE_Y            0.625
#define SPACER                  2       /* spacer between letters */
#define SPACE_WIDTH             20      /* spacer for a space characters */
#define SCROLL_STEP             2       /* scroll two pixels each frame */

typedef struct {
        u16 active;             /* active sprite 0=no 1=yes */
        s16 x,y;                /* x,y position of sprite */
        s16 original_y;         /* original y position value */
        s16 width,height;       /* size of sprite */
        Bitmap *bitmap;         /* pointer to bitmap data */
} ScrollerItem;


extern unsigned short font_a[];
extern unsigned short font_b[];
extern unsigned short font_c[];
extern unsigned short font_d[];
extern unsigned short font_e[];
extern unsigned short font_f[];
extern unsigned short font_g[];
extern unsigned short font_h[];
extern unsigned short font_i[];
extern unsigned short font_j[];
extern unsigned short font_k[];
extern unsigned short font_l[];
extern unsigned short font_m[];
extern unsigned short font_n[];
extern unsigned short font_o[];
extern unsigned short font_p[];
extern unsigned short font_q[];
extern unsigned short font_r[];
extern unsigned short font_s[];
extern unsigned short font_t[];
extern unsigned short font_u[];
extern unsigned short font_v[];
extern unsigned short font_w[];
extern unsigned short font_x[];
extern unsigned short font_y[];
extern unsigned short font_z[];

extern unsigned short font_dot[];
extern unsigned short font_comma[];
extern unsigned short font_colon[];
extern unsigned short font_dash[];
extern unsigned short font_quote[];
extern unsigned short font_question[];
extern unsigned short font_exclam[];

extern unsigned short font_0[];
extern unsigned short font_1[];
extern unsigned short font_2[];
extern unsigned short font_3[];
extern unsigned short font_4[];
extern unsigned short font_5[];
extern unsigned short font_6[];
extern unsigned short font_7[];
extern unsigned short font_8[];
extern unsigned short font_9[];


